// Code generated by mockery v2.53.0. DO NOT EDIT.

package db

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
	models "gitlab.com/infor-cloud/martian-cloud/phobos/phobos-api/internal/models"
)

// MockPipelineActionOutputs is an autogenerated mock type for the PipelineActionOutputs type
type MockPipelineActionOutputs struct {
	mock.Mock
}

// CreatePipelineActionOutput provides a mock function with given fields: ctx, output
func (_m *MockPipelineActionOutputs) CreatePipelineActionOutput(ctx context.Context, output *models.PipelineActionOutput) (*models.PipelineActionOutput, error) {
	ret := _m.Called(ctx, output)

	if len(ret) == 0 {
		panic("no return value specified for CreatePipelineActionOutput")
	}

	var r0 *models.PipelineActionOutput
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.PipelineActionOutput) (*models.PipelineActionOutput, error)); ok {
		return rf(ctx, output)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *models.PipelineActionOutput) *models.PipelineActionOutput); ok {
		r0 = rf(ctx, output)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.PipelineActionOutput)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *models.PipelineActionOutput) error); ok {
		r1 = rf(ctx, output)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// DeletePipelineActionOutput provides a mock function with given fields: ctx, output
func (_m *MockPipelineActionOutputs) DeletePipelineActionOutput(ctx context.Context, output *models.PipelineActionOutput) error {
	ret := _m.Called(ctx, output)

	if len(ret) == 0 {
		panic("no return value specified for DeletePipelineActionOutput")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.PipelineActionOutput) error); ok {
		r0 = rf(ctx, output)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetPipelineActionOutputs provides a mock function with given fields: ctx, pipelineID, actions
func (_m *MockPipelineActionOutputs) GetPipelineActionOutputs(ctx context.Context, pipelineID string, actions []string) ([]*models.PipelineActionOutput, error) {
	ret := _m.Called(ctx, pipelineID, actions)

	if len(ret) == 0 {
		panic("no return value specified for GetPipelineActionOutputs")
	}

	var r0 []*models.PipelineActionOutput
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, []string) ([]*models.PipelineActionOutput, error)); ok {
		return rf(ctx, pipelineID, actions)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, []string) []*models.PipelineActionOutput); ok {
		r0 = rf(ctx, pipelineID, actions)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*models.PipelineActionOutput)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, []string) error); ok {
		r1 = rf(ctx, pipelineID, actions)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// NewMockPipelineActionOutputs creates a new instance of MockPipelineActionOutputs. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockPipelineActionOutputs(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockPipelineActionOutputs {
	mock := &MockPipelineActionOutputs{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
